Description

In Foreman 0.2 final, when editing multiple hosts in the Hosts view, upon clicking submit the user is returned to the login screen.

Per ohadlevy in #theforeman:

it seems to be related to the fact that the ajax request doesnt contain the authentication_id, which probably happened when we

upgraded rails

but I wanted to change the logic from ajax to store the selected hosts in a cookie instead

as the current implementation is not that solid

Related issues:

Related to Foreman - Bug #684: toggle selection is broken on hosts page Closed 02/23/2011

Associated revisions

Revision 1a51088d - 04/23/2011 02:16 PM - Ohad Levy

fixes #815 - Redirect to login page when editing multiple hosts

this patch converts the mulitple selections to be pure javascript,

removing the buggy AJAX implementation.

Revision 078fbb59 - 05/01/2011 06:59 AM - Ohad Levy

refs #815 - converted mulity host selections to a dialog box

added selected counter

checkbox are now always shown, disabled or enabled based on users permissions

cleanups

History

#1 - 03/31/2011 04:53 PM - Eric Shamow

Meant to note -- this is running behind Passenger.

#2 - 04/12/2011 03:59 PM - Ohad Levy

- Assignee set to Bash Shell

- Target version set to 0.3

#3 - 04/22/2011 04:13 PM - Ohad Levy

- File 815.patch added

- Category set to Web Interface

so, inspired by ahuman patch, attached is my own.

this converts the entire selection to javascript, and remove the old dependency upon AJAX.
its still not complete, but 99% of the functionality should already be included, would be great if you could give it a try.

#4 - 04/23/2011 02:41 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 1a51088d87c3420e435a3798358bec4b3b2b7de1.

#5 - 04/23/2011 02:41 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

#6 - 04/27/2011 06:06 PM - Bash Shell

Nice .. I don't know when I will actually get to try this, but I was wondering if this works if you select a large number of hosts?  ( say several hundred )

#7 - 05/01/2011 07:32 AM - Ohad Levy

Bash Shell wrote:

Nice .. I don't know when I will actually get to try this, but I was wondering if this works if you select a large number of hosts?  ( say several

hundred )

 as the cookie only saves the ids of a host, then I would assume our limit is about 1k hosts

Files

815.patch 27.2 KB 04/22/2011 Ohad Levy
